<?xml version = '1.0' encoding = 'UTF-8'?>
<trigger xmlns="http://xmlns.oracle.com/jdeveloper/1111/offlinedb">
  <ID class="oracle.javatools.db.IdentifierBasedID">
    <identifier class="java.lang.String">383ea54a-f84e-412c-8e0c-2e65b630072f</identifier>
  </ID>
  <name>TEMPLATE_TABLE_TRG</name>
  <baseType>TABLE</baseType>
  <code>BEGIN
  &lt;&lt;COLUMN_SEQUENCES&gt;&gt;
  BEGIN
    IF :NEW.COLUMN1 IS NULL THEN
      SELECT TEMPLATE_TABLE_SEQ.NEXTVAL INTO :NEW.COLUMN1 FROM DUAL;
    END IF;
  END COLUMN_SEQUENCES;
END;</code>
  <enabled>true</enabled>
  <events>
    <event>INSERT</event>
  </events>
  <schema>
    <name>TEMPLATES</name>
  </schema>
  <source>CREATE TRIGGER TEMPLATE_TABLE_TRG 
BEFORE INSERT ON TEMPLATE_TABLE 
FOR EACH ROW 
BEGIN
  &lt;&lt;COLUMN_SEQUENCES&gt;&gt;
  BEGIN
    IF :NEW.COLUMN1 IS NULL THEN
      SELECT TEMPLATE_TABLE_SEQ.NEXTVAL INTO :NEW.COLUMN1 FROM DUAL;
    END IF;
  END COLUMN_SEQUENCES;
END;</source>
  <statementLevel>false</statementLevel>
  <tableID class="oracle.javatools.db.IdentifierBasedID">
    <name>TEMPLATE_TABLE</name>
    <identifier class="java.lang.String">201e5cde-27ef-417c-9b68-ddbed4cf0dfb</identifier>
    <schemaName>TEMPLATES</schemaName>
    <type>TABLE</type>
  </tableID>
  <timing>BEFORE</timing>
</trigger>
